Page MenuHomePhabricator

Add FMF to vector ops for phi
ClosedPublic

Authored by mcberg2017 on Oct 9 2019, 5:13 PM.

Diff Detail

Event Timeline

mcberg2017 created this revision.Oct 9 2019, 5:13 PM
bogner accepted this revision.Oct 9 2019, 5:28 PM
bogner added a subscriber: bogner.

Seems obviously correct to me.

This revision is now accepted and ready to land.Oct 9 2019, 5:28 PM
cameron.mcinally accepted this revision.Oct 9 2019, 7:42 PM
cameron.mcinally added inline comments.
lib/Bitcode/Reader/BitcodeReader.cpp
4645 ↗(On Diff #224198)

Would isFPOrFPVectorTy() be easier to read?

spatel added a subscriber: reames.Oct 10 2019, 5:20 AM

LGTM.

Note that @reames suggested that we should publicize the previous patch to make sure there were no known unintended consequences from this change, so:
http://lists.llvm.org/pipermail/llvm-dev/2019-September/135444.html

And I agree that we want to give everyone a chance to think about it, so I haven't proposed any dependent patches (and AFAIK, nobody else has yet either).

Assuming the change stays, I think we can build on it to solve bugs like:
https://bugs.llvm.org/show_bug.cgi?id=35607
https://bugs.llvm.org/show_bug.cgi?id=39535

It looks like llvm-commits wasn't CC'ed, somehow.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 14 2019, 10:43 AM
Herald added a subscriber: hiraditya. · View Herald Transcript